#ifndef __INC_baloon_slider_hpp__
#define __INC_baloon_slider_hpp__

#include "wdg/ds_slider.hpp"
#include <QMouseEvent>

/// @brief Baloon widget slider

class Qas_Slider :
	public ::Wdg::DS_Slider
{
	Q_OBJECT


	// Public methods
	public:
	Qas_Slider(
		QWidget * parent_n = nullptr,
		::dpe::Image_Allocator * alloc_n = nullptr );

	void
	mousePressEvent (
		QMouseEvent * event_n ) override;

	void
	mouseReleaseEvent (
		QMouseEvent * event_n ) override;

	void
	mouseMoveEvent (
		QMouseEvent * event_n ) override;

	void
	wheelEvent (
		QWheelEvent * event_n ) override;

};

#endif
