TARGET = qslider
TEMPLATE = app

QT += svg widgets

CONFIG += qtsingleapplication fly

SOURCES += main.cpp \
	dpe/image_allocator.cpp \
	dpe/image.cpp \
	dpe/image_request.cpp \
	dpe/image_set.cpp \
	dpe/image_set_group.cpp \
	dpe/image_set_meta.cpp \
	dpe/image_set_state.cpp \
	dpe/is_buffer.cpp \
	dpe/is_buffer_handle.cpp \
	dpe/painter.cpp \
	dpe/painter_simple.cpp \
	dpe/painter_thread.cpp \
	dpe/painter_thread_shared.cpp \
	dpe/paint_job.cpp \
	wdg/balloon_widget.cpp \
	wdg/color_methods.cpp \
	wdg/cubic_curve.cpp \
	wdg/ds_imaging.cpp \
	wdg/ds_slider.cpp \
	wdg/ds_slider_meta_bg.cpp \
	wdg/ds_slider_painter_bevelled.cpp \
	wdg/ds_switch.cpp \
	wdg/ds_switch_painter_circle.cpp \
	wdg/ds_switch_painter_close.cpp \
	wdg/ds_switch_painter_svg.cpp \
	wdg/ds_widget_painter.cpp \
	wdg/ds_widget_style_db.cpp \
	wdg/equal_columns_layout.cpp \
	wdg/equal_columns_layout_group.cpp \
	wdg/event_types.cpp \
	wdg/fill_columns_layout.cpp \
	wdg/label_elide.cpp \
	wdg/label_width.cpp \
	wdg/layout_weights.cpp \
	wdg/pad_focus_info.cpp \
	wdg/pad_proxies_column.cpp \
	wdg/pad_proxies_group.cpp \
	wdg/pad_proxy.cpp \
	wdg/pad_proxy_enum.cpp \
	wdg/pad_proxy_slider.cpp \
	wdg/pad_proxy_style.cpp \
	wdg/pad_proxy_switch.cpp \
	wdg/pass_events.cpp \
	wdg/scroll_area_horizontal.cpp \
	wdg/scroll_area_vertical.cpp \
	wdg/sliders_pad.cpp \
	wdg/sliders_pad_data.cpp \
	wdg/sliders_pad_footer.cpp \
	wdg/sliders_pad_header.cpp \
	wdg/sliders_pad_header_data.cpp \
	wdg/sliders_pad_layout.cpp \
	wdg/sliders_pad_style.cpp \
	wdg/switches_area.cpp \
	wdg/switches_pad.cpp \
	wdg/switches_pad_widgets.cpp \
	wdg/switches_pad_widgets_group.cpp \
	wdg/text_browser.cpp \
	wdg/tree_view_kv.cpp \
	wdg/uint_mapper.cpp \
        mwdg/mixer_style.cpp \
        qas_slider.cpp \        
        slider_dialog.cpp \
        application.cpp


HEADERS += dpe/image_allocator.hpp \
	dpe/image.hpp \
	dpe/image_request.hpp \
	dpe/image_set_group.hpp \
	dpe/image_set.hpp \
	dpe/image_set_meta.hpp \
	dpe/image_set_state.hpp \
	dpe/is_buffer_handle.hpp \
	dpe/is_buffer.hpp \
	dpe/painter.hpp \
	dpe/painter_simple.hpp \
	dpe/painter_thread.hpp \
	dpe/painter_thread_shared.hpp \
	dpe/paint_job.hpp \
	wdg/balloon_widget.hpp \
	wdg/color_methods.hpp \
	wdg/cubic_curve.hpp \
	wdg/ds_imaging.hpp \
	wdg/ds_slider.hpp \
	wdg/ds_slider_meta_bg.hpp \
	wdg/ds_slider_painter_bevelled.hpp \
	wdg/ds_switch.hpp \
	wdg/ds_switch_painter_circle.hpp \
	wdg/ds_switch_painter_close.hpp \
	wdg/ds_switch_painter_svg.hpp \
	wdg/ds_widget_painter.hpp \
	wdg/ds_widget_style_db.hpp \
	wdg/ds_widget_types.hpp \
	wdg/equal_columns_layout_group.hpp \
	wdg/equal_columns_layout.hpp \
	wdg/event_types.hpp \
	wdg/fill_columns_layout.hpp \
	wdg/label_elide.hpp \
	wdg/label_width.hpp \
	wdg/layout_weights.hpp \
	wdg/pad_focus_info.hpp \
	wdg/pad_proxies_column.hpp \
	wdg/pad_proxies_group.hpp \
	wdg/pad_proxy_enum.hpp \
	wdg/pad_proxy.hpp \
	wdg/pad_proxy_slider.hpp \
	wdg/pad_proxy_style.hpp \
	wdg/pad_proxy_switch.hpp \
	wdg/pass_events.hpp \
	wdg/scroll_area_horizontal.hpp \
	wdg/scroll_area_vertical.hpp \
	wdg/sliders_pad_data.hpp \
	wdg/sliders_pad_footer.hpp \
	wdg/sliders_pad_header_data.hpp \
	wdg/sliders_pad_header.hpp \
	wdg/sliders_pad.hpp \
	wdg/sliders_pad_layout.hpp \
	wdg/sliders_pad_style.hpp \
	wdg/switches_area.hpp \
	wdg/switches_pad.hpp \
	wdg/switches_pad_widgets_group.hpp \
	wdg/switches_pad_widgets.hpp \
	wdg/text_browser.hpp \
	wdg/tree_view_kv.hpp \
	wdg/uint_mapper.hpp \
        mwdg/mixer_style.hpp \
        qas_slider.hpp \
        slider_dialog.hpp \
        application.hpp
