#include "qas_slider.hpp"
#include "mwdg/mixer_style.hpp"
#include "wdg/ds_widget_style_db.hpp"


Qas_Slider::Qas_Slider (
	QWidget * parent_n,
	::dpe::Image_Allocator * alloc_n ) :
	DS_Slider(parent_n, alloc_n)
{
	set_style_id( ::MWdg::Mixer_Style::PLAYBACK );
	_cursor_select_allowed = true;
}

void Qas_Slider::mousePressEvent (
	QMouseEvent * event_n )
{
	DS_Slider::mousePressEvent(event_n);
	event_n->accept();
}

void Qas_Slider::mouseReleaseEvent (
	QMouseEvent * event_n )
{
	DS_Slider::mouseReleaseEvent(event_n);
	event_n->accept();
}

void Qas_Slider::mouseMoveEvent (
	QMouseEvent * event_n )
{
	DS_Slider::mouseMoveEvent(event_n);
	event_n->accept();
}

void Qas_Slider::wheelEvent (
	QWheelEvent * event_n )
{
	DS_Slider::wheelEvent ( event_n );
	event_n->accept();
}
